<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */


// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Home::index');
$routes->get('/wp/', 'Dengine::index');

//$routes->get('/en/floatweb/api/v1/blogdata/', 'FloatWeb::blogData');
//$routes->get('/en/floatweb/api/v1/blogdata/(:any)', 'FloatWeb::blogData/$1');

$routes->get('/en/floatweb/api/v1/blogdata/', 'FloatWeb::website');
$routes->get('/en/floatweb/api/v1/blogdata/(:any)', 'FloatWeb::blogLimitedData/$1');
$routes->get('/en/floatweb/api/v1/faq', 'FloatWeb::website');
$routes->post('/en/floatweb/api/v1/contact', 'FloatWeb::website');

$routes->post('/en/userweb/api/v1/login', 'FloatUserWeb::user');
$routes->post('/en/fleetweb/api/v1/login', 'FloatFleetWeb::fleet');



//MERMS MYFIT NO SESSION DATA
$routes->get('/en/desktop/api/v2/myfit/country', 'Myfit::country');
$routes->get('/en/desktop/api/v2/myfit/blogdata/(:any)', 'Myfit::blogdata/$1');
$routes->get('/en/desktop/api/v2/myfit/blogdata', 'Myfit::blogdata');  // when no limit is sent
$routes->get('/en/desktop/api/v2/myfit/faq', 'Myfit::faq');
$routes->post('/en/desktop/api/v2/myfit/contact', 'Myfit::contact');
$routes->get('/en/desktop/api/v2/myfit/pricing', 'Myfit::pricing');





//reset pass & login
$routes->post('/en/desktop/api/v2/myfituser/resetpass', 'Myfitauth::users');
//MYFIT DESKTOP USERS  
//-- login
$routes->post('/en/desktop/api/v2/myfituser/login', 'Myfitauth::users');
//--create acount
$routes->post('/en/desktop/api/v2/myfituser/account', 'Myfitauth::users');
$routes->post('/en/desktop/api/v2/myfituser/signup-code', 'Myfitauth::users');
$routes->post('/en/desktop/api/v2/myfituser/resetpass-code', 'Myfitauth::users');

$routes->post('/en/desktop/api/v2/myfituser/test-email', 'Myfitauth::users'); // just atest


$routes->get('/en/desktop/api/v2/myfituser/profile', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/myfeed', 'Myfituser::users');

//Tracking
$routes->post('/en/desktop/api/v2/myfituser/tracking', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/trackinghx', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/trackcategory', 'Myfituser::users');

// REMINDERS -------------------------------------------------------------
$routes->get('/en/desktop/api/v2/myfituser/reminders?(:any)', 'Myfituser::users/$1');
$routes->get('/en/desktop/api/v2/myfituser/reminders', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/remcategory', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/remmode', 'Myfituser::users');
$routes->post('/en/desktop/api/v2/myfituser/editreminder', 'Myfituser::users'); // save create a reminder item


$routes->get('/en/desktop/api/v2/myfituser/loginhx', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/stats', 'Myfituser::users');
$routes->get('/en/desktop/api/v2/myfituser/resources', 'Myfituser::users');

$routes->post('/en/desktop/api/v2/myfituser/resetpass-profile', 'Myfituser::users'); // resetpass-profile


$routes->get('/en/desktop/api/v2/myfituser/calendar', 'Myfituser::users'); // please use post 
$routes->post('/en/desktop/api/v2/myfituser/calendar', 'Myfituser::users'); // USE THIS PONE 


$routes->get('/en/desktop/api/v2/myfituser/home-stats', 'Myfituser::users');


//MYFIT DESKTOP USERS  
$routes->post('/en/mobile/api/v2/myfituser/login', 'Myfituser::users');
$routes->post('/en/mobile/api/v2/myfituser/account', 'Myfituser::users');
$routes->get('/en/mobile/api/v2/myfit/blogdata', 'Myfit::blogdata');

$routes->get('/en/mobile/api/v2/myfituser/reminders', 'Myfituser::users');




/*
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/country    GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/blogdata/7 GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/contact    POST
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/pricing    GET
https://devapi.mermsemr.com/en/desktop/api/v2/myfit/faq        GET
*/


/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
